Benutzerhandbuch
Version 1.9 — Rev. 3

# WebAdmin-Konsole - Allgemein

Admin Server ist ein spezieller virtual host fuer die WebAdmin-Konsole. Es ist sehr wichtig, Admin Server sicher zu schuetzen, entweder indem Zugriff nur von den Rechnern der Administratoren erlaubt wird oder indem eine verschluesselte SSL-Verbindung verwendet wird.

### Core-Dump aktivieren

#### Beschreibung

Gibt an, ob Core-Dumps aktiviert werden, wenn der Server vom Benutzer "root" gestartet wird. Auf den meisten modernen Unix-Systemen duerfen Prozesse, die ihre Benutzer- oder Gruppen-ID aendern, aus Sicherheitsgruenden keine Core-Datei erzeugen. Ein Core-Dump erleichtert jedoch die Ermittlung der eigentlichen Problemursache erheblich. Diese Option funktioniert nur mit Linux kernel 2.4 und hoeher. Solaris-Benutzer sollten diese Funktion mit dem Befehl coreadm steuern.

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Security Aktivieren Sie diese Option nur, wenn no core file created in der Serverprotokolldatei angezeigt wird. Deaktivieren Sie sie direkt nach dem Erzeugen der Core-Datei. Senden Sie bitte einen Fehlerbericht, wenn ein Core-Dump erstellt wurde.

### Sitzungs-Timeout (Sek.)

#### Beschreibung

Passt die Sitzungs-Timeout-Dauer der WebAdmin-Konsole an. Der Standardwert ist 60 Sekunden.

#### Syntax

Ganzzahl

#### Tipps

Security Legen Sie fuer den Produktionseinsatz einen passenden Wert fest, normalerweise unter 300 Sekunden.

### Serverprotokoll verwenden

#### Beschreibung

Gibt an, ob Protokollmeldungen dieses virtuellen Hosts in die Serverprotokolldatei geschrieben werden, anstatt eine eigene Protokolldatei zu erstellen.

#### Syntax

Aus Optionsfeldern auswählen

### Dateiname

#### Beschreibung

Gibt den Pfad für die Protokolldatei an.

#### Syntax

Dateiname, der ein absoluter Pfad oder ein Pfad relativ zu $SERVER_ROOT, $VH_ROOT sein kann.

#### Tipps

Performance Legen Sie die Protokolldatei auf einem separaten Datenträger ab.

### Protokollstufe

#### Beschreibung

Gibt die Protokollstufe an. Verfügbare Stufen (von hoch bis niedrig) sind ERROR, WARNING, NOTICE, INFO und DEBUG. Nur Meldungen mit einer Stufe, die höher oder gleich der aktuellen Einstellung ist, werden protokolliert. Wenn Sie dies auf DEBUG setzen möchten, müssen Sie auch die Serverprotokollstufe auf DEBUG setzen. Die Debug-Stufe wird ausschließlich auf Serverebene durch Debug-Stufe gesteuert.

#### Syntax

Aus Dropdown-Liste auswählen

#### Tipps

Performance Sofern Debug-Stufe nicht auf eine andere Stufe als NONE gesetzt ist, hat die Protokollstufe DEBUG keine Leistungsauswirkung und wird empfohlen.

#### Siehe auch

Debug-Stufe

### Rotationsgröße (Byte)

#### Beschreibung

Gibt an, wann die aktuelle Protokolldatei rotiert werden muss. Wenn die Dateigröße das Rotationslimit überschreitet, wird die aktive Protokolldatei im selben Verzeichnis in log_name.mm_dd_yyyy(.sequence) umbenannt und eine neue aktive Protokolldatei erstellt. Die tatsächliche Größe der rotierten Datei kann etwas größer als dieses Limit sein. Setzen Sie den Wert auf 0, um die Protokollrotation zu deaktivieren.

#### Syntax

Ganzzahl

#### Tipps

Information Hängen Sie "K", "M" oder "G" an die Zahl an, um Kilo-, Mega- und Gigabyte anzugeben.

### Aufbewahrungstage

#### Beschreibung

Gibt an, wie viele Tage die Zugriffsprotokolldatei auf der Festplatte aufbewahrt wird. Nur rotierte Protokolldateien, die älter als die angegebene Anzahl von Tagen sind, werden gelöscht. Die aktuelle Protokolldatei wird nicht verändert, unabhängig davon, wie viele Tage Daten sie enthält. Wenn veraltete und sehr alte Protokolldateien nicht automatisch gelöscht werden sollen, setzen Sie dies auf 0.

#### Syntax

Ganzzahl

### Archiv komprimieren

#### Beschreibung

Gibt an, ob rotierte Protokolldateien komprimiert werden sollen, um Speicherplatz zu sparen.

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Information Protokolldateien lassen sich stark komprimieren; diese Option wird empfohlen, um den Speicherbedarf alter Protokolle zu reduzieren.

### Protokollsteuerung

#### Beschreibung

Wo das Zugriffsprotokoll geschrieben werden soll. Es gibt drei Optionen:

1. In das Zugriffsprotokoll des Servers schreiben
2. Ein Zugriffsprotokoll für diesen virtuellen Host erstellen
3. Zugriffsprotokollierung deaktivieren

#### Syntax

Aus Dropdown-Liste auswählen

### Dateiname

#### Beschreibung

Der Dateiname des Zugriffsprotokolls.

#### Syntax

Dateiname, der ein absoluter Pfad oder ein Pfad relativ zu $SERVER_ROOT, $VH_ROOT sein kann.

#### Tipps

Performance Legen Sie die Zugriffsprotokolldatei auf einem separaten Datenträger ab.

### Piped Logger

#### Beschreibung

Gibt die externe Anwendung an, die die von LiteSpeed über eine Pipe an ihren STDIN-Stream gesendeten Zugriffsprotokolldaten empfängt (Dateihandle ist 0). Wenn dieses Feld angegeben ist, wird das Zugriffsprotokoll nur an die Logger-Anwendung gesendet und nicht an die in der vorherigen Eingabe angegebene Zugriffsprotokolldatei.
Die Logger-Anwendung muss zuerst im Abschnitt Externe Anwendungen definiert werden. Zugriffsprotokollierung auf Serverebene kann nur eine externe Logger-Anwendung verwenden, die auf Serverebene definiert ist. Zugriffsprotokollierung auf Ebene des virtuellen Hosts kann nur eine Logger-Anwendung verwenden, die auf Ebene des virtuellen Hosts definiert ist.
Der Logger-Prozess wird genauso gestartet wie andere externe Prozesse (CGI/FastCGI/LSAPI). Das bedeutet, dass er mit der Benutzer-ID ausgeführt wird, die in den Set-UID-Modus externer Apps-Einstellungen des virtuellen Hosts angegeben ist, und niemals im Namen eines privilegierten Benutzers ausgeführt wird.
LiteSpeed web server führt eine einfache Lastverteilung zwischen mehreren Logger-Anwendungen durch, wenn mehr als eine Instanz konfiguriert ist. Der LiteSpeed-Server versucht stets, die Anzahl der Logger-Anwendungen so niedrig wie möglich zu halten. Nur wenn eine Logger-Anwendung Zugriffsprotokolleinträge nicht rechtzeitig verarbeitet, versucht der Server, eine weitere Instanz zu starten.
Wenn ein Logger abstürzt, startet der Webserver eine weitere Instanz, aber die Protokolldaten im Stream-Puffer gehen verloren. Protokolldaten können verloren gehen, wenn externe Logger mit Geschwindigkeit und Umfang des Protokollstroms nicht Schritt halten können.

#### Syntax

Aus Dropdown-Liste auswählen

### Protokollformat

#### Beschreibung

Gibt das Format für das Zugriffsprotokoll an. Wenn das Protokollformat gesetzt ist, überschreibt es die Einstellung Protokoll-Header.

#### Syntax

Zeichenfolge. Die Syntax des Protokollformats ist mit dem benutzerdefinierten Protokollformat von Apache 2.0 kompatibel.

#### Beispiel

Common Log Format (CLF)
"%h %l %u %t \"%r\" %>s %b"
Common Log Format with Virtual Host
"%v %h %l %u %t \"%r\" %>s %b"
NCSA extended/combined log format
"%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-agent}i\"
Log cookie value of Foobar
"%{Foobar}C"

#### Siehe auch

Protokoll-Header

### Protokoll-Header

#### Beschreibung

Gibt an, ob HTTP-Anfrageheader protokolliert werden sollen: Referer, UserAgent und Host.

#### Syntax

Per Kontrollkästchen auswählen

#### Tipps

Performance Deaktivieren Sie dies, wenn Sie diese Header im Zugriffsprotokoll nicht benötigen.

#### Siehe auch

Protokollformat

### Byte-Protokoll

#### Beschreibung

Gibt den Pfad zur Bandbreiten-Byte-Protokolldatei an. Wenn angegeben, wird ein mit cPanel kompatibles Bandbreitenprotokoll erstellt. Es protokolliert die insgesamt für eine Anfrage übertragenen Bytes einschließlich Anfrage- und Antwortkörper.

#### Syntax

Dateiname, der ein absoluter Pfad oder ein Pfad relativ zu $SERVER_ROOT sein kann.

#### Tipps

Performance Legen Sie die Protokolldatei auf einem separaten Datenträger ab.